package gonganxitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/gonganxitong/model"
)

type support struct {
	Table
	order  string `data:"905"`
	create string `name:"create title content" role:"void"`
}

func (s support) Create(m *ice.Message, arg ...string) {
	m.OptionDefault(model.PLACE_UID, m.Option(s.Keys(s.Place, model.UID)))
	s.Insert(m, kit.Simple(arg, m.OptionSimple(model.PLACE_UID, model.USER_UID))...)
}
func (s support) List(m *ice.Message, arg ...string) {
	if len(arg) == 1 {
		s.Orders(m, model.CREATED_AT)
		s.Select(m, model.USER_UID, m.Option(model.USER_UID)).Action()
	}
	s.SelectJoinUser(m)
	s.Display(m, "").DisplayCSS("")
}

func init() { ice.TeamCtxCmd(support{Table: newTable()}) }
