package yuehaoxitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/gonganxitong"
	"shylinux.com/x/community/src/yuehaoxitong/model"
	"shylinux.com/x/enterprise/src/guanlixitong"
)

type Portal struct {
	guanlixitong.Portal
	placeCreate string `name:"placeCreate city_name* company_name* queue_name* queue_type:select" role:"void"`
}

func (s Portal) AfterPlaceAuth(m *ice.Message, arg ...string) {
	defer s.DashboardCreate(m, "")()
	s.DashboardInsert(m, "1", "订单总量", "order", Schedule{}, "", model.QUEUE_UID, m.Option(model.QUEUE_UID))
	s.DashboardInsert(m, "2", "订单已预约", "order", Schedule{}, "", model.QUEUE_UID, m.Option(model.QUEUE_UID), model.STATUS, SchedulePlan)
	s.DashboardInsert(m, "3", "订单已取号", "order", Schedule{}, "", model.QUEUE_UID, m.Option(model.QUEUE_UID), model.STATUS, ScheduleTake)
	s.DashboardInsert(m, "4", "订单已完成", "order", Schedule{}, "", model.QUEUE_UID, m.Option(model.QUEUE_UID), model.STATUS, ScheduleFinish)
}
func init() { gonganxitong.PortalCmd(Portal{Portal: guanlixitong.NewPortal(userQueue{}, queue{})}) }
